%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Unix-PID
Version:        0.23
Release:        5%{?dist}
Summary:        Perl extension for getting PID info.

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~dmuey/Unix-PID-%{version}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/Unix-PID-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Perl extension for getting PID info.

%prep
%setup -q -n Unix-PID-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorlib}/Unix/PID*
%{_mandir}/man3/*.3*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.23-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.23-4
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.23-3
- Rebuilt for fc22

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 0.23-1
- Initial rpm release.
